<?php

	$id = fnAdjustID();
	

	if(key_exists('text', $_POST))
	{
		$final_text = $_POST['text'];
		$final_text = str_replace(' ', '', ucwords($final_text));
		$dba->Increment('mobile_counter', 'status', 120, 1);
		$size = strlen($final_text);
	}
	else 
	{
		if($id != 0)
		{
			$final_text = $dba->GetOne('mobile_sms', $id, 'text');
			$size = strlen(str_replace(' ', '', $final_text));
		}
		else 
		{
			$size = 0;
		}
	}

?>
<script language="JavaScript" type="text/javascript">
function fnCount()
{
	var count = 0;
	var str = document.forms.frm.text.value;
	if (str.length>0)
	{
		for(var i=0; i<str.length; i++)
		{
			if(str[i]!=' ')
			{
				count++;
			}
		}
	}
	else
	{
		count = 0;
	}
	document.forms.frm.cnt.value = count;
}

fnCount();

</script>
<div id="register_form01">
	<div id="menu01_head">:: sms editor</div>
	<div id="melodie_01"><br />
		Posielate často smsky z netu? Chcete ušetriť každý možný znak?<br/> 
		Stačí svoj text napísať do textového poľa a kliknúť na tlačítko stlač!<br />
		Stlačený text stačí už len skopírovať a poslať ako sms.
		<br/><br/>
			<form name="frm" action="index.php?module=stlac" method="POST">
			<textarea name="text" rows="10" cols="60" id="form_field01" onkeyup="fnCount();"><?php if(isset($final_text)) echo $final_text; ?></textarea><br />
			<table width="320" align="center">
				<tr>
					<td align="left"><input type="text" name="cnt" size="4" class="form_field02" id="cnt" value="<?php echo $size; ?>"/> znakov po stlačení<br/></td>
					<td align="right"><input id="form_button01" type="submit" name="submit" value="Stlač" /> </td>
				</tr>
			</table>
		</form>
	</div>
</div>